with Mcc.Common_Dialogs;
procedure Test_Dialogs is
   Filename : String(1..100);
   File_Last : Natural;
   Directory : String(1..100);
   Dir_Last : Natural;
begin
   Mcc.Common_Dialogs.Save_Dialog (
      File_Types   => "{ ""Ada files"" { .ads .adb } } " & 
                      " { ""All Files"" * }",
      Filename     => Filename,
      File_Last    => File_Last);
   Mcc.Common_Dialogs.Ok_Box(Integer'Image(File_Last));
   Mcc.Common_Dialogs.Ok_Box(Filename(1..File_Last));
   Mcc.Common_Dialogs.Open_Dialog (
      File_Types   => "{ ""Ada files"" { .ads .adb } } " & 
                      " { ""All Files"" * }",
      Filename     => Filename,
      File_Last    => File_Last,
      Directory    => Directory,
      Dir_Last     => Dir_Last);
   Mcc.Common_Dialogs.Ok_Box(Directory(1..Dir_Last));
end Test_Dialogs;
